ola_streaming_client(1)

NAME
ola_streaming_client - Stream data to the OLA server.

SYNOPSIS
ola_streaming_client [ options ]

DESCRIPTION
ola_streaming_client is used to stream DMX512 data to olad(1). If DMX512 data isn't provided, it will read from STDIN.

OPTIONS

-h, --help
    Display the help message.

-d, --dmx <dmx data>
    Comma separated DMX values to send, e.g. 0,255,128 sets first channel to 0, second channel to 255 and third channel to 128.

-l, --log-level <int8_t>
    Set the logging level 0 .. 4.

-u, --universe <universe-id>
    Id of the universe to send data for.

-v, --version
    Print ola_streaming_client version information

--syslog
    Send to syslog rather than stderr.

--no-use-epoll
    Disable the use of epoll(), revert to select()

--no-use-kqueue
    Disable the use of kqueue(), revert to select()

--scheduler-policy <policy>
    The thread scheduling policy, one of {fifo, rr}.

--scheduler-priority <priority>
    The thread priority, only used if --scheduler-policy is set.

SEE ALSO
olad(1),